Last modified: 2012-04-19 21:43:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22875 - Dialogs: Internal/External Links : Production : Page exists message shows for a letter
Dialogs: Internal/External Links : Production : Page exists message shows for...
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-03-18 06:31 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_2010-03-18_LinkAdd.pdf (90.39 KB, application/pdf)
2010-03-18 06:31 UTC, Calcey QA
Details
Wiki_2010-03-18_Suggesstions.pdf (16.04 KB, application/pdf)
2010-03-18 11:49 UTC, Calcey QA
Details

Description Calcey QA 2010-03-18 06:31:13 UTC
Created attachment 7217 [details]
Wiki_2010-03-18_LinkAdd.pdf

Reporting against Babaco Release : r59858
Tested link : http://en.wikipedia.org  

Steps to Reproduce ::

1) Edit a page
2) Select a link for example a link starting from letter F
3) Insert the link
3) Click on insert link again and type the same letter which used previously for example F
<<Page exists status display for the letter >>

Expected Outcome::
Page not exists status should show for such scenarios

Test Environment::
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8

Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727

Browser (User-Agent): Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14) Gecko/2009090905 Fedora/3.0.14-1.fc10 Firefox/3.0.14
Comment 1 Roan Kattouw 2010-03-18 11:31:58 UTC
There actually is a page called "F": http://en.wikipedia.org/wiki/F
Comment 2 Calcey QA 2010-03-18 11:35:46 UTC
Try a different letter like d or a.
Comment 3 Roan Kattouw 2010-03-18 11:37:28 UTC
(In reply to comment #2)
> Try a different letter like d or a.

http://en.wikipedia.org/wiki/D
http://en.wikipedia.org/wiki/A

Please check whether the page exists before reopening again. The craziest page titles exist on enwiki.
Comment 4 Calcey QA 2010-03-18 11:39:30 UTC
Then why they are not shown in the suggestion list when the letter entered?
Comment 5 Calcey QA 2010-03-18 11:49:43 UTC
Created attachment 7221 [details]
Wiki_2010-03-18_Suggesstions.pdf

When the letter type, the related page is not listed in the suggestion list
Comment 6 Roan Kattouw 2010-03-18 12:01:13 UTC
(In reply to comment #5)
> Created an attachment (id=7221) [details]
> Wiki_2010-03-18_Suggesstions.pdf
> 
> When the letter type, the related page is not listed in the suggestion list

Works for some letters (e.g. X , Y), not for others. The list only shows 10 suggestions and there are more than 10 pages that start with a given letter, so naturally some won't show up. The list isn't sorted alphabetically for some reason; I don't know what it is sorted by.
Comment 7 Calcey QA 2010-05-12 12:10:53 UTC
Verified & closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links